#!/usr/bin/env bash

: "${PORT:=9990}"
: "${CONTROL_PORT:=9991}"

echo "JAVA_MEMORY_ARGS=$JAVA_MEMORY_ARGS"
echo "JAVA_OPTS=$JAVA_OPTS"

status=0
set +e
TZ=UTC java $JAVA_OPTS $JAVA_MEMORY_ARGS -XshowSettings:vm -jar "app.jar" -server.port=:$PORT -management.server.port=:$CONTROL_PORT $*
status=$?
set -e

echo "$(date): jvm exited with status code ${status}"
exit ${status}
